#pragma once

#ifdef __cplusplus
extern "C" {
#else
#include <stdbool.h>
#endif

typedef struct __attribute__((packed)) {
    unsigned char r;
    unsigned char g;
    unsigned char b;
    unsigned char a;
} rgba32;

static bool rgba32_isequal(const rgba32 * a, const rgba32 * b) {
    return (a->r == b->r) &&
           (a->g == b->g) &&
           (a->b == b->b) &&
           (a->a == b->a);
}

#ifdef __cplusplus
}
#endif
